package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.EmsObjModel;

import java.util.List;

/**
 * 能源对象属性Service接口
 *
 * @author ruoyi
 * @date 2024-09-23
 */
public interface IEmsObjModelService {
    /**
     * 查询能源对象属性
     *
     * @param id 能源对象属性主键
     * @return 能源对象属性
     */
    EmsObjModel selectObjModelById(Long id);

    /**
     * 查询能源对象属性
     *
     * @param code 能源对象属性code
     * @return 能源对象属性
     */
    EmsObjModel selectByModelCode(String code);

    /**
     * 查询能源对象属性列表
     *
     * @param objModel 能源对象属性
     * @return 能源对象属性集合
     */
    List<EmsObjModel> selectObjModelList(EmsObjModel objModel);

    /**
     * 新增能源对象属性
     *
     * @param objModel 能源对象属性
     * @return 结果
     */
    int insertObjModel(EmsObjModel objModel);

    /**
     * 修改能源对象属性
     *
     * @param objModel 能源对象属性
     * @return 结果
     */
    int updateObjModel(EmsObjModel objModel);

    /**
     * 批量删除能源对象属性
     *
     * @param ids 需要删除的能源对象属性主键集合
     * @return 结果
     */
    int deleteObjModelByIds(Long[] ids);

    /**
     * 删除能源对象属性信息
     *
     * @param id 能源对象属性主键
     * @return 结果
     */
    int deleteObjModelById(Long id);
}
